    function doOperation(num, symbol)
    {
	if ((symbol != '=') && (symbol != '%'))
	{
	    switch (curOperation)
	    {
		case '+' :
		    curTotal = curTotal + num;
		    break;
		case '-' :
		    curTotal = curTotal - num;
		    break;
		case '*' :
		    curTotal = curTotal * num;
		    break;
		case '/' :
		    curTotal = curTotal / num;
		    break;
		case '=' :
		    break;
		default :
		    onScreen = 'Error';

	    }
	    curOperation = symbol;
	}
	else
	{
	    if (symbol == '=')
	    {
		if (curOperation == '+')
		    curTotal = curTotal + num;
		if (curOperation == '-')
		    curTotal = curTotal - num;
		if (curOperation == '*')
		    curTotal = curTotal * num;
		if (curOperation == '/')
		    curTotal = curTotal / num;
		if (curOperation == '%')
		    curTotal = curTotal * (num / 100);
	    }
	    else
	    {
		if (symbol == '%')
		    curTotal = curTotal * (num / 100);
	    }
	    curOperation = ''
	}

	if (onScreen != 'Error')
	{
	    onScreen = curTotal;
	    toBeCleared = true;
	}
    }

    function plusPressed(num)
    {
	if (curOperation == '')
	{
	    curTotal = num;
	    curOperation = '+';
	    toBeCleared = true;
	    onScreen = curTotal;
	}
	else
	{
	    doOperation(num, '+');
	}  

	document.getElementById("MainDisplay").value = onScreen
    }

    function minusPressed(num)
    {
	if (curOperation == '')
	{
	    curTotal = num;
	    curOperation = '-';
	    toBeCleared = true;
	    onScreen = curTotal;
	}
	else
	{
	    doOperation(num, '-');
	}  

	document.getElementById("MainDisplay").value = onScreen
    }

    function multiplyPressed(num)
    {
	if (curOperation == '')
	{
	    curTotal = num;
	    curOperation = '*';
	    toBeCleared = true;
	    onScreen = curTotal;
	}
	else
	{
	    doOperation(num, '*');
	}  

	document.getElementById("MainDisplay").value = onScreen
    }

    function dividePressed(num)
    {
	if (curOperation == '')
	{
	    curTotal = num;
	    curOperation = '/';
	    toBeCleared = true;
	    onScreen = curTotal;
	}
	else
	{
	    doOperation(num, '/');
	}

	document.getElementById("MainDisplay").value = onScreen
    }

    function equalsPressed(num)
    {
	if (curOperation == '')
	{
	    onScreen = 'Error';
	}
	else
	{
	    doOperation(num, '=');
	}

	document.getElementById("MainDisplay").value = onScreen
    }


    function percentPressed(num)
    {
	if (curOperation == '')
	{
	    curTotal = num;
	    curOperation = '%';
	    toBeCleared = true;
	    onScreen = curTotal;
	}
	else
	{
	    doOperation(num, '%');
	}

	document.getElementById("MainDisplay").value = onScreen
    }


    function signPressed()
    {
	document.getElementById("MainDisplay").value = (parseFloat(document.getElementById("MainDisplay").value)) * -1;
    }


    function addToMainDisplay(num)
    {
	document.getElementById("MainDisplay").value = document.getElementById("MainDisplay").value + num;
    }


    function checkToBeCleared()
    {
	if(toBeCleared)
	{
	    document.getElementById("MainDisplay").value='';
	    toBeCleared=false;
	}
    }

    function clearAll()
    {
	onScreen = '';
	curOperation = '';
	curTotal = 0;
	toBeCleared = false;
	document.getElementById("MainDisplay").value='';
    }


function filterChars(s, charList)
{
	var s1 = "" + s; // force s1 to be a string data type
	var i;
	for (i = 0; i < s1.length; )
	{
		if (charList.indexOf(s1.charAt(i)) < 0)
			s1 = s1.substring(0,i) + s1.substring(i+1, s1.length);
		else
			i++;
	}
	return s1;
}

function makeNumeric(s)
{
	return filterChars(s, "1234567890.-");
}

function numval(val,digits,minval,maxval)
{
	val = makeNumeric(val);
	if (val == "" || isNaN(val)) val = 0;
	val = parseFloat(val);
	if (digits != null)
	{
		var dec = Math.pow(10,digits);
		val = (Math.round(val * dec))/dec;
	}
	if (minval != null && val < minval) val = minval;
	if (maxval != null && val > maxval) val = maxval;
	return parseFloat(val);
}

function formatNumber(val,digits,minval,maxval,preVal,postVal)
{
	var sval = "" + numval(val,digits,minval,maxval);
	var i;
	var iDecpt = sval.indexOf(".");
	if (iDecpt < 0) iDecpt = sval.length;
	if (digits != null && digits > 0)
	{
		if (iDecpt == sval.length)
			sval = sval + ".";
		var places = sval.length - sval.indexOf(".") - 1;
		for (i = 0; i < digits - places; i++)
			sval = sval + "0";
	}
	var firstNumchar = 0;
	if (sval.charAt(0) == "-") firstNumchar = 1;
	for (i = iDecpt - 3; i > firstNumchar; i-= 3)
		sval = sval.substring(0, i) + "," + sval.substring(i);

	if (preVal != null)
	    sval = "" + preVal + sval;

	if (postVal != null)
	    sval = "" + sval + postVal;

	return sval;
}

